# serverless-plugin-typescript

Serverless plugin for zero-config Typescript support

## Features

* Zero-config: Works out of the box without the need to install any other compiler or plugins
* Supports ES2015 syntax + features (`export`, `import`, `async`, `await`, `Promise`, ...)

## Install

```sh
yarn add --dev serverless-plugin-typescript
```

Add the following plugin to your `serverless.yml`:

```yaml
plugins:
  - serverless-plugin-typescript
```

## Example

See [example folder](example) for a minimal example.

## `tsconfig.json`

The default `tsconfig.json` file looks like this:

```json
{
  "preserveConstEnums": true,
  "strictNullChecks": true,
  "sourceMap": true,
  "target": "es5",
  "outDir": ".build",
  "moduleResolution": "node",
  "lib": ["es2015"],
}
```